<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8"/>
<title>TACOLAB: Herramienta online para comparativas fáciles</title>
<meta name="author" content="(Daniel Molina)"/>
<style type="text/css">
.underline { text-decoration: underline; }
</style>
<link rel="stylesheet" href="./reveal.js/css/reveal.css"/>

<link rel="stylesheet" href="./reveal.js/css/theme/black.css" id="theme"/>

<link rel="stylesheet" href="maeb.css"/>

<!-- If the query includes 'print-pdf', include the PDF print sheet -->
<script>
    if( window.location.search.match( /print-pdf/gi ) ) {
        var link = document.createElement( 'link' );
        link.rel = 'stylesheet';
        link.type = 'text/css';
        link.href = './reveal.js/css/print/pdf.css';
        document.getElementsByTagName( 'head' )[0].appendChild( link );
    }
</script>
<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
</head>
<body>
<div class="reveal">
<div class="slides">
<section class="first">
 		    <div class="title">
 			<h1>TACOLAB</h1><h4>Herramienta <i>online</i> Avanzada para<br> comparar metaheurísticas... fácilmente</h4>
 		    </div>
 		    <div class="authors"><span class="presenter">Daniel Molina Cabrera</span>, Antonio LaTorre, Francisco Herrera<br/>
 		    Universidad de Granada, Universidad Politécnica de Madrid</div>
 		    <img src="logos_instituciones.png" width="50%" class="nb"/>
 		    <p class="center"><a href="https://tacolab.org" target="_blank">https://tacolab.org</a>
<aside class="notes">
<p>
Indicar que el título era sin el fácilmente, pero que así se muestra mejor la
intención del trabajo.
</p>

</aside>
</section>
<section>
<section id="slide-orgae46355">
<h2 id="orgae46355">Motivación</h2>
<div class="outline-text-2" id="text-orgae46355">
</div>
</section>
<section id="slide-orgd35151c">
<h3 id="orgd35151c">Publicar implica correctas comparativas</h3>
<div class="two">
<ul>
<li>Publicar \(\Rightarrow\) <b>muchas</b> comparaciones.</li>

<li>Los <i>benchmarks</i> permiten comparar sólo resultados, <b>pero hay que hacerlo</b>.</li>

</ul>
</div>
<div class="one">

<div class="figure">
<p><img src="balance.jpeg" alt="balance.jpeg" width="80%" />
</p>
</div>
</div>
<aside class="notes">
<p>
Habitualmente, la comparativa implica realizar una misma experimentación
tanto con la propuesta como con los algoritmos de referencia (usados para
comparar). Afortunadamente, cada vez está más consolidado el uso de
\emph{benchmarks} específicos en los que se fijan a priori las condiciones
experimentales, por lo que el problema se reduce a comparar los resultados
de la propuesta con los otros algoritmos publicados,
simplificando el proceso. Sin embargo, realizar una correcta experimentación
sigue siendo una tarea muy laboriosa y costosa en tiempo. El investigador
no sólo tiene que recopilar los resultados de su propuesta, sino también los de
los algoritmos con los que se va a comparar. 
</p>

</aside>

</section>
<section id="slide-orgf282fbd">
<h3 id="orgf282fbd">Comparar implica</h3>
<ol>
<li class="fragment roll-in">Lanzar experimentos para mi propuesta.</li>
<li class="fragment roll-in">Elegir algoritmos de referencia.</li>
<li class="fragment roll-in">Buscar resultados de dichos algoritmos.</li>
<li class="fragment roll-in">Normalizar medidas.</li>
<li class="fragment roll-in">Agrupar resultados en tablas.</li>
<li class="fragment roll-in">Realizar gráficas (convergencia, &#x2026;).</li>
<li class="fragment roll-in">Validar mediante tests estadísticos.</li>
<li class="fragment roll-in">Y, si algo cambia, (mejora del algoritmo, error) repetir desde el principio.</li>

</ol>

<aside class="notes">
<p>
Y la recopilación de datos es sólo el
primer paso: los datos deben normalizarse (obtener la mismas medidas y con la
misma frecuencia), agruparse (en funciones similares para su análisis),
organizarse (en tablas), y analizarse (mediante una o varias medidas estadísticas o
visualizaciones). Y, por cada cambio en alguno de los algoritmos (mejora de la
propuesta, por ejemplo), estos pasos deben repetirse, incrementando el tiempo
dedicado a las comparativas.
</p>

</aside>

</section>
<section id="slide-org7774095">
<h3 id="org7774095">Puede parecer no tener fin</h3>

<div class="figure">
<p><img src="teclado.gif" alt="teclado.gif" />
</p>
</div>

</section>
</section>
<section>
<section id="slide-orgeac10c3">
<h2 id="orgeac10c3">¿Qué nos beneficiaría?</h2>

<div class="figure">
<p><img src="dream.jpg" alt="dream.jpg" />
</p>
</div>


</section>
<section id="slide-orgb8ae15c">
<h3 id="orgb8ae15c">Almacén de datos de algoritmos</h3>
<ul>
<li>No buscar en los PDFs y almacenarlos.</li>

<li>Que sea tan sencillo como elegir el resultado.</li>

</ul>


<div class="figure">
<p><img src="database.jpg" alt="database.jpg" />
</p>
</div>

</section>
<section id="slide-org794e6a2">
<h3 id="org794e6a2">Comparativas automáticas</h3>
<ul>
<li>Generación de tablas: Excel, CSV, LaTEX&#x2026;</li>

<li>Gráficas comparativas.</li>

<li>Test estadísticos.</li>

</ul>


<div class="figure">
<p><img src="charts_computer.jpg" alt="charts_computer.jpg" />
</p>
</div>

</section>
</section>
<section>
<section id="slide-org566624a">
<h2 id="org566624a">TACO: Toolkit for Automatic Comparison Optimizers</h2>
<a class="bigger" href="https://tacolab.org">https://tacolab.org</a>

</section>
<section id="slide-org1551f6e">
<h3 id="org1551f6e">Almacén de datos</h3>
<div class="two">

<ul>
<li>Base de datos de algoritmos previos.</li>

<li>Distintos <i>benchmarks</i> y <i>tamaños</i>.</li>

<li>Tus propios resultados.
<ul>
<li>Comprobación de datos.</li>

</ul></li>

<li>No limitado a <i>benchmarks</i> disponibles: tus propias funciones.</li>

</ul>

</div>
<div class="one">

<div class="figure">
<p><img src="contento.gif" alt="contento.gif" />
</p>
</div>
</div> 

</section>
<section id="slide-org02e1ecb">
<h3 id="org02e1ecb">Ejemplo de comparativa</h3>

<div class="figure">
<p><img src="select.png" alt="select.png" />
</p>
</div>

</section>
<section id="slide-orgbb89f00">
<h3 id="orgbb89f00">¿Necesito subir mis datos?</h3>
<ul>
<li>No es necesario.</li>

<li>Se puede cargar un Excel.</li>

<li>No se guardan datos.</li>

<li>Uso anónimo.</li>

</ul>

</section>
<section id="slide-org7d6fa04">
<h3 id="org7d6fa04">Ejemplo de Formato Excel</h3>

<div class="figure">
<p><img src="excel_format.png" alt="excel_format.png" />
</p>
</div>

</section>
<section id="slide-org216d9fa">
<h3 id="org216d9fa">Comparativas Automáticas</h3>
<ul>
<li>Algoritmos de la BD y/o los tuyos (formato Excel).</li>

<li>Tablas comparativas automáticas.</li>

<li>Informes: 

<ul>
<li>Generales.</li>

<li>De un <i>benchmark</i> concreto.</li>

</ul></li>

</ul>

</section>
<section id="slide-orgfaebd65">
<h3 id="orgfaebd65">Tablas</h3>
<div class="two">
<ul>
<li>Distintas medidas: media, ranking, &#x2026;</li>

<li>Remarcan el menor/mejor valor.</li>

<li>Exportables como Excel y/o Latex.</li>

</ul>

</div>
<div class="one">

<div class="figure">
<p><img src="tables.png" alt="tables.png" width="80%" />
</p>
</div>
</div>

</section>
<section id="slide-org94f0586">
<h3 id="org94f0586">Gráficas</h3>
<div class="two">

<ul>
<li>Gráficas comparativas autogeneradas.</li>

<li>Tanto diagramas de líneas (convergencia) como de barras (error, puntos, &#x2026;).</li>

<li>Visualiza datos concretos con el ratón.</li>

<li>Exportables en formatos: SVG, PNG, PDF.</li>

</ul>
</div>
<div class="one">

<div class="figure">
<p><img src="plots.png" alt="plots.png" width="60%" />
</p>
</div>
</div>

</section>
<section id="slide-orgef3ad53">
<h3 id="orgef3ad53">Tests estadísticos</h3>
<ul>
<li>Comparativas 1-1:
<ul>
<li>Reflejando el error acumulado.</li>

</ul></li>

<li>Mejor vs. resto con post-hoc:
<ul>
<li>Error acumulado del 5%.</li>

</ul></li>

</ul>

<aside class="notes">
<p>
Indicar que es Wilcoxon pero se puede ampliar.
</p>

</aside>

</section>
<section id="slide-org63eed11">
<h3 id="org63eed11">Otras ventajas</h3>

<div class="figure">
<p><img src="architecture.png" alt="architecture.png" />
</p>
</div>

<ul>
<li>Fácil de instalar (funciona en web dinámica).</li>

<li>Accesible desde móviles.</li>

</ul>

</section>
<section id="slide-org3acd4ea">
<h3 id="org3acd4ea">Otras ventajas</h3>
<ul>
<li>Extensible (Python y R).</li>

<li>Software libre (disponible en Github).</li>

<li>Mejora continua.</li>

<li>Aplicable a todo tipo de problemas.</li>

</ul>

</section>
</section>
<section>
<section id="slide-org2284c8c">
<h2 id="org2284c8c">Demo</h2>
</section>
<section data-background-iframe="https://tacolab.org" data-background-interactive>
</section>

</section>
</section>
<section>
<section id="slide-org58f348c">
<h2 id="org58f348c">Conclusiones</h2>
<div class="outline-text-2" id="text-org58f348c">
</div>
</section>
<section id="slide-org40043a2">
<h3 id="org40043a2">Un mundo mejor es posible</h3>
<ul>
<li>Menor tiempo en procesos repetitivos.</li>

<li>Poder centrarnos en el diseño de algoritmos.</li>

<li>Evitar riesgo a equivocarnos.</li>

</ul>


<div class="figure">
<p><img src="relaxed.jpg" alt="relaxed.jpg" width="40%" />
</p>
</div>

</section>
<section id="slide-org091cb7d">
<h3 id="org091cb7d"></h3>

<div class="figure">
<p><img src="aunmas.png" alt="aunmas.png" />
</p>
</div>

<ul>
<li>Aumento de la BD de algoritmos.</li>

<li>Está en continua mejora.</li>

<li>¿Quieres ayudar a que mejore? Abiertos a colaborar.</li>

</ul>

</section>
</section>
<section>
<section id="slide-orgfb47a98">
<h2 id="orgfb47a98"></h2>
<section class="first">
 		    <div class="title">
 			<h2>Gracias por su atención</h2>
 		    </div>
 		    <p class="center">Prueben: <a href="https://tacolab.org" target="_blank">https://tacolab.org</a>
 		    <div class="authors">¿Trabajamos juntos? Escríbenos: <span class="presenter">dmolina@decsai.ugr.es</span></div>
 		    <p class="center"><img src="logos_instituciones.png" width="70%" /></p>
<aside class="notes">
<p>
Indicar que el título era sin el fácilmente, pero que así se muestra mejor la
intención del trabajo.
</p>

</aside>
</section>

</div>
<div class='reveal'>
  <div class='footer'>
      <img src="caepia.png"/>
  </div>
</div>
</section>
</section>
</div>
</div>
<script src="./reveal.js/lib/js/head.min.js"></script>
<script src="./reveal.js/js/reveal.js"></script>

<script>
// Full list of configuration options available here:
// https://github.com/hakimel/reveal.js#configuration
Reveal.initialize({

controls: true,
progress: true,
history: false,
center: true,
slideNumber: 'h.v',
rollingLinks: false,
keyboard: true,
overview: true,

theme: Reveal.getQueryHash().theme, // available themes are in /css/theme
transition: Reveal.getQueryHash().transition || 'slide', // default/cube/page/concave/zoom/linear/fade/none
transitionSpeed: 'default',
multiplex: {
    secret: '', // null if client
    id: '', // id, obtained from socket.io server
    url: '' // Location of socket.io server
},

// Optional libraries used to extend on reveal.js
dependencies: [
 { src: './reveal.js/lib/js/classList.js', condition: function() { return !document.body.classList; } },
 { src: './reveal.js/plugin/markdown/marked.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
 { src: './reveal.js/plugin/markdown/markdown.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
 { src: './reveal.js/plugin/zoom-js/zoom.js', async: true, condition: function() { return !!document.body.classList; } },
 { src: './reveal.js/plugin/notes/notes.js', async: true, condition: function() { return !!document.body.classList; } }]
});
</script>
</body>
</html>
